<?php

namespace Litecms\RankSettings\Repositories\Eloquent;

use Litecms\RankSettings\Interfaces\RankSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class RankSettingRepository extends BaseRepository implements RankSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.rank_settings.rank_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.rank_settings.rank_setting.model.model');
    }
}
